# Uses of Enum
org.eclipse.microprofile.openapi.models.security.SecurityScheme.Type

Packages that use SecurityScheme.Type
Package
Description
org.eclipse.microprofile.openapi.models.security
A set of model interfaces to represent various security components of an OpenAPI app.

## Uses of SecurityScheme.Type in org.eclipse.microprofile.openapi.models.security

Methods in org.eclipse.microprofile.openapi.models.security that return SecurityScheme.Type
Modifier and Type
Method
Description
`SecurityScheme.Type`
SecurityScheme.`getType()`
Type is a REQUIRED property that specifies the type of SecurityScheme instance.
`static SecurityScheme.Type`
SecurityScheme.Type.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static SecurityScheme.Type[]`
SecurityScheme.Type.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in org.eclipse.microprofile.openapi.models.security with parameters of type SecurityScheme.Type
Modifier and Type
Method
Description
`void`
SecurityScheme.`setType(SecurityScheme.Type type)`
Type is a REQUIRED property that specifies the type of SecurityScheme instance.
`default SecurityScheme`
SecurityScheme.`type(SecurityScheme.Type type)`
Type is a REQUIRED property that specifies the type of SecurityScheme instance.